> For the complete documentation index, see [llms.txt](https://docs.musepay.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.musepay.io/cn/api-can-kao/api-reference/acquiring-api/checkout-mode/specified-chain-checkout.md).

# 指定链收银台

## 示例

```bash
# 数字货币订单
curl --location --request POST 'https://api.musepay.io/v1/order/pay' \
--header 'Content-Type: application/json' \
--data-raw '{
  "request_id": "custom_code9982674851738108",
  "currency": "USDT_BSC_TEST",
  "amount": "150",
  "payment_method": "on_chain",
  "product_name": "product info",
  "customer_ref_id": "abc123",
  "notify_url": "https://notify.url",
  "remark": ""
}'



# 法币订单
curl --location --request POST 'https://api.musepay.io/v1/order/pay' \
--header 'Content-Type: application/json' \
--data-raw '{
  "request_id": "custom_code9982674851738108",
  "currency": "IDR",
  "pay_currency": "USDT_BSC_TEST",
  "amount": "210",
  "payment_method": "on_chain",
  "product_name": "product info",
  "customer_ref_id": "abc123",
  "notify_url": "https://notify.url"
}'
```

```json
{
  "code":"200",
  "data": {
    "request_id":"custom_code9982674851738108",
    "partner_id":"2000051",
    "order_no":"202406173100230009031352048",
    "currency":"USDT_BSC_TEST",
    "order_amount":"30",
    "status":22,
    "payment_method":"on_chain",
    "receive_address":"0x050b85892F5d5ffffff516868311e7eA2043F",
    "checkout_url":"https://gateway.dev01.musepay.io/mapi/v1/open/qrCode/CnM1mFBzFDtgr0Er"
  },
  "message":"success"
}
```
